Subject: bug#63227: closed (Re: [patch 0/2] gnu: neovim: Update to 0.9.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 May 2023 09:44:03 +0000

Your bug report

#63226: [PATCH 0/2] gnu: neovim: Update to 0.9.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63226: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63226
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [patch 0/2] gnu: neovim: Update to 0.9.0.
From: Efraim Flashner <[email-masked]>
To: ギャラ <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 May 2023 12:43:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the patches but I've pushed the other neovim patch set since
it arrived first.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/2] gnu: neovim: Update to 0.9.0
From: Benjamin <[email-masked]>
To: [email-masked]
Cc: Benjamin <[email-masked]>
Date: Tue, 2 May 2023 01:25:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This is my first contribution to guix (and first time using git email
flow), so I hope I did everything as expected.

This patches update neovim to 0.9.0.

It was required to bump its dependency tree-sitter to 0.20.8 as 
there were some missing symbols with 0.20.7.
I also fixed the script avoiding to include gcc in dependencies 
as the makefile as moved.

Benjamin (2):
  gnu: tree-sitter: Update to 0.20.8
  gnu: neovim update to 0.9.0

 gnu/packages/tree-sitter.scm | 4 ++--
 gnu/packages/vim.scm         | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

base-commit: f21007ce4aceeacf5bbfc7cd45d526073141f194
-- 
2.39.2